Subject: Re: [PATCH 4/5] format-patch: do not respect diff.noprefix

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Mar 2023 08:41:29 -0800

Jeff King <[email-masked]> writes:

>   - if a project really does have a workflow that likes prefix-less
>     patches, and the receiver is prepared to use "-p0", then the sender
>     now has to manually say "--no-prefix" for each format-patch
>     invocation. That doesn't seem _too_ terrible given that the receiver
>     has to manually say "-p0" for each git-am invocation.

It does seem very terrible if any existing projects do use the
workflow, as their receivers need to change their workflow, though.

But we can declare that we do not care about such projects that do
not honor our -p1 worldview, and I have no objection to this change
if we can have list consensus for us to go in that direction.

Colored patches, by the way, cannot be applied, so perhaps we should
disable ui_config altogether, on the other hand?  I dunno.

Thanks, queued.